Subject: Re: [PATCH] PowerMac11,2 i2c-bus@0 duplicate dev-tree workaround

From: Johannes Berg <[email-masked]>
Date: Fri, 31 Mar 2006 00:38:17 +0200

On Thu, 2006-03-30 at 17:28 +1100, Michael Ellerman wrote:

> I don't understand why we need this patch? If we care about getting the
> "right" node why not check for that where we care?

It's not just a single node but also contains sub-nodes. In one of them,
one of those sub nodes is there but contains bogus info, and in the
other both are there and contain the right info. Some things that work
off these bus nodes are detected twice if they're there, and they're
used in at least two places that I know of.

johannes